KUBERNETES(1)

NAME

kubeadm config upload from-flags - Create the in-cluster configuration file for the first time from using flags.

SYNOPSIS

kubeadm config upload from-flags [OPTIONS]

DESCRIPTION

Using this command, you can upload configuration to the ConfigMap in the cluster using the same flags you gave to 'kubeadm init'. If you initialized your cluster using a v1.7.x or lower kubeadm client and set certain flags, you need to run this command with the same flags before upgrading to v1.8 using 'kubeadm upgrade'.

The configuration is located in the "kube-system" namespace in the "kubeadm-config" ConfigMap.

OPTIONS

--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--apiserver-cert-extra-sans=[]
    Optional extra Subject Alternative Names (SANs) to use for the API Server serving certificate. Can be both IP addresses and DNS names.

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are:

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--node-name=""
    Specify the node name.

--pod-network-cidr=""
    Specify range of IP addresses for the pod network. If set, the control plane will automatically allocate CIDRs for every node.

--service-cidr="10.96.0.0/12"
    Use alternative range of IP address for service VIPs.

--service-dns-domain="cluster.local"
    Use alternative domain for services, e.g. "myorg.internal".

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-config-upload(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!